Arduino

Reference Language | Libraries | Comparison | Changes

String

## > (greater than)

#### Description

Tests if the string on the left is greater than the string on the right. This operator evaluates strings in alphabetical order, on the first character where the two differ. So, for example `"b" > "a"` and `"2" > "1"`, but `"999" > "1000"` because 9 comes after 1.

Caution: String comparison operators can be confusing when you're comparing numeric strings, because the numbers are treated as strings and not as numbers. If you need to compare numbers numerically, compare them as ints, floats, or longs, and not as Strings.

#### Syntax

string1 > string2

#### Parameters

string1, string2: variables of type String

#### Returns

true: if string1 is greater than string2
false: otherwise

#### Example

- StringComparisonOperators

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- Careers